zenilib: zenilib/jni/external/sdl/SDL/SDL_power.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Enumerations | Functions
SDL_power.h File Reference
`#include "SDL_stdinc.h"`
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Enumerations

enum | SDL_PowerState { SDL_POWERSTATE_UNKNOWN, SDL_POWERSTATE_ON_BATTERY, SDL_POWERSTATE_NO_BATTERY, SDL_POWERSTATE_CHARGING, SDL_POWERSTATE_CHARGED }
| The basic state for the system's power supply. More...

## Functions

DECLSPEC SDL_PowerState SDLCALL | SDL_GetPowerInfo (int *secs, int *pct)
| Get the current power supply details. More...

## Detailed Description

Header for the SDL power management routines.

Definition in file SDL_power.h.

## Enumeration Type Documentation

enum SDL_PowerState

The basic state for the system's power supply.

Enumerator
SDL_POWERSTATE_UNKNOWN | cannot determine power status
SDL_POWERSTATE_ON_BATTERY | Not plugged in, running on the battery
SDL_POWERSTATE_NO_BATTERY | Plugged in, no battery available
SDL_POWERSTATE_CHARGING | Plugged in, charging battery
SDL_POWERSTATE_CHARGED | Plugged in, battery charged

Definition at line 42 of file SDL_power.h.

## Function Documentation

DECLSPEC SDL_PowerState SDLCALL SDL_GetPowerInfo | ( | int * | secs,
|  | int * | pct
| ) |  |

Get the current power supply details.

Parameters

  secs | Seconds of battery life left. You can pass a NULL here if you don't care. Will return -1 if we can't determine a value, or we're not running on a battery.
  pct | Percentage of battery life left, between 0 and 100. You can pass a NULL here if you don't care. Will return -1 if we can't determine a value, or we're not running on a battery.

Returns
  The state of the battery (if any).

Definition at line 88 of file SDL_power.c.

References i, implementations, NULL, and SDL_POWERSTATE_UNKNOWN.